
From: Anton Blanchard <anton@samba.org>

Add some missing exports, required for oprofile to be compiled as a module.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/rtas.c  |    2 ++
 25-akpm/arch/ppc64/kernel/smp.c   |    2 ++
 25-akpm/arch/ppc64/kernel/sysfs.c |    3 +++
 25-akpm/arch/ppc64/kernel/traps.c |    2 ++
 4 files changed, 9 insertions(+)

diff -puN arch/ppc64/kernel/rtas.c~ppc64-add-missing-export_symbols-for-oprofile arch/ppc64/kernel/rtas.c
--- 25/arch/ppc64/kernel/rtas.c~ppc64-add-missing-export_symbols-for-oprofile	2004-08-16 11:55:09.012823104 -0700
+++ 25-akpm/arch/ppc64/kernel/rtas.c	2004-08-16 11:55:09.021821736 -0700
@@ -37,6 +37,8 @@ struct rtas_t rtas = { 
 	.lock = SPIN_LOCK_UNLOCKED
 };
 
+EXPORT_SYMBOL(rtas);
+
 char rtas_err_buf[RTAS_ERROR_LOG_MAX];
 
 spinlock_t rtas_data_buf_lock = SPIN_LOCK_UNLOCKED;
diff -puN arch/ppc64/kernel/smp.c~ppc64-add-missing-export_symbols-for-oprofile arch/ppc64/kernel/smp.c
--- 25/arch/ppc64/kernel/smp.c~ppc64-add-missing-export_symbols-for-oprofile	2004-08-16 11:55:09.014822800 -0700
+++ 25-akpm/arch/ppc64/kernel/smp.c	2004-08-16 11:55:09.022821584 -0700
@@ -750,6 +750,8 @@ out:
 	return ret;
 }
 
+EXPORT_SYMBOL(smp_call_function);
+
 void smp_call_function_interrupt(void)
 {
 	void (*func) (void *info);
diff -puN arch/ppc64/kernel/sysfs.c~ppc64-add-missing-export_symbols-for-oprofile arch/ppc64/kernel/sysfs.c
--- 25/arch/ppc64/kernel/sysfs.c~ppc64-add-missing-export_symbols-for-oprofile	2004-08-16 11:55:09.015822648 -0700
+++ 25-akpm/arch/ppc64/kernel/sysfs.c	2004-08-16 11:55:09.023821432 -0700
@@ -5,6 +5,7 @@
 #include <linux/percpu.h>
 #include <linux/init.h>
 #include <linux/sched.h>
+#include <linux/module.h>
 #include <asm/current.h>
 #include <asm/processor.h>
 #include <asm/cputable.h>
@@ -172,6 +173,8 @@ void ppc64_enable_pmcs(void)
 }
 #endif
 
+EXPORT_SYMBOL(ppc64_enable_pmcs);
+
 /* XXX convert to rusty's on_one_cpu */
 static unsigned long run_on_cpu(unsigned long cpu,
 			        unsigned long (*func)(unsigned long),
diff -puN arch/ppc64/kernel/traps.c~ppc64-add-missing-export_symbols-for-oprofile arch/ppc64/kernel/traps.c
--- 25/arch/ppc64/kernel/traps.c~ppc64-add-missing-export_symbols-for-oprofile	2004-08-16 11:55:09.017822344 -0700
+++ 25-akpm/arch/ppc64/kernel/traps.c	2004-08-16 11:55:09.023821432 -0700
@@ -533,6 +533,8 @@ static void dummy_perf(struct pt_regs *r
 
 void (*perf_irq)(struct pt_regs *) = dummy_perf;
 
+EXPORT_SYMBOL(perf_irq);
+
 void
 PerformanceMonitorException(struct pt_regs *regs)
 {
_
